micro_utils.dokka
0.15.1

# SimpleSuspendableMapper

interface SimpleSuspendableMapper<T1, T2>

## Functions

convertToT1
Link copied to clipboard
abstract suspend fun convertToT1(from: T2): T1
convertToT2
Link copied to clipboard
abstract suspend fun convertToT2(from: T1): T2

## Inheritors

SimpleSuspendableMapperImpl
Link copied to clipboard
MapperWriteCRUDRepo
Link copied to clipboard

## Extensions

convert
Link copied to clipboard
@JvmName(name = "convertFromT2")
suspend fun <T1, T2> SimpleSuspendableMapper<T1, T2>.convert(from: T2): T1
@JvmName(name = "convertFromT1")
suspend fun <T1, T2> SimpleSuspendableMapper<T1, T2>.convert(from: T1): T2